Subject: Saving form data stopped working with Typo3 4.5.23
Description

We have been running version 3.0.1 of your extension successfully with our installation of Typo3 4.5.22. However, after upgrading to
Typo3 4.5.23 the saving of form data stopped working. We've already narrowed down the problem to be sure that it seems to be
caused by the Typo3 version.

Steps to reproduce:
1. Login with a FE User on Typo3 4.5.23
2. Go to the sr_feuser_register page (EDIT mode). The form fields are filled correctly.
3. Submit the form data.
4. The extension stays in the EDIT mode, showing empty form fields. The data was not saved.

Further analysis
I've already reverse engineered the problem: in my opinion it seems to have something to do with the session handling / cookie stuff.
My assumption is that the security token cannot be resolved for some reason.

As a local workaround I've added the following line to "model/class.tx_srfeuserregister_controldata.php" (With this code the extension
works as expected on Typo3 4.5.23.):

Line 240: $this->setTokenValid(TRUE);

Kind regards,
Sebastian

Related issues:
related to Core - Bug # 45570: fe_session Data Change external payment checkout Resolved 2013-02-18

History
#1 - 2013-03-05 20:37 - Stanislas Rolland

This is an issue with TYPO3 4.5.23. I would expect a new release very soon. In the mean time, I would recommend to revert to 4.5.22.

#2 - 2013-05-15 12:04 - Ina Heydecke

Problem still exist in TYPO3 version 4.5.25. Same scenario... edit form doesn't save user input, but user gets success message after form submit.
I'll try Sebastians hotfix, but an official bugfix would be more helpful.

#3 - 2013-07-01 00:52 - Stanislas Rolland
- Status changed from New to Needs Feedback
- Assigned To set to Stanislas Rolland
Ina Heydecke wrote:

Problem still exist in TYPO3 version 4.5.25. Same scenario... edit form doesn't save user input, but user gets success message after form submit.
I'll try Sebastians hotfix, but an official bugfix would be more helpful.

This does not seem to be the same issue.

#4 - 2013-07-01 00:53 - Stanislas Rolland

@Sebastian:

This issue should have been fixed in TYPO3 4.5.25. Please confirm.

#5 - 2013-07-23 21:15 - Sebastian Faulhaber

@Stanislas:

My test with T3 4.5.27 was successful. Hereby confirmed.

Regards,
Sebastian

#6 - 2013-07-23 23:28 - Stanislas Rolland
- Status changed from Needs Feedback to Resolved

Thanks for reporting.
